# Typewriter
A simple typewriter JQuery extension

## Demo
You can find the working demo [here](http://www.hugo-decoded.be/typewriter/demo.html)

## Usage

Download the extension file jquery.hugo-decoded.typewriter.min.js and place it on your webhost.
Load JQuery and the extension in your HTML file.
```
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.0.0/jquery.min.js"></script>
<script src="jquery.hugo-decoded.typewriter.min.js"></script>
```
Place a `<div>` element and specify an `id` value.

Example:
```
<div id="typewriter"></div>
```

Call the JQuery extension for the `<div>` element you created earlier (example: `#typewriter`) with the text to be typed.
```
$('#typewriter').typewrite( {
	  text: [ "This is line 1",  "This is the second line", 
		  "Third Line", "Another line" ],
	  speed: 100
  }
);
```
## Options

There are 2 options you can specify for the extension.

*text:*  
This is an array with the different lines to be typed

*speed:*  
This is the speed in miliseconds that will be waited between 2 characters
The option is not mandatory, by default the value 50 is taken. Also when a non value is entered the speed will be 50.

## Remark

You can also download the demo (demo.html).
In my demo I used the [Google font 'Special Elite'](https://fonts.google.com/specimen/Special+Elite)
